Subject: Re: [PATCH net-next] qrtr: move to staging

From: Leon Romanovsky <[email-masked]>
Date: Mon, 29 Mar 2021 09:30:25 +0300

On Mon, Mar 29, 2021 at 07:30:08AM +0200, Greg Kroah-Hartman wrote:
> On Mon, Mar 29, 2021 at 08:17:06AM +0300, Leon Romanovsky wrote:
> > On Sun, Mar 28, 2021 at 02:26:21PM +0200, Greg Kroah-Hartman wrote:
> > > There does not seem to be any developers willing to maintain the
> > > net/qrtr/ code, so move it to drivers/staging/ so that it can be removed
> > > from the kernel tree entirely in a few kernel releases if no one steps
> > > up to maintain it.
> > > 
> > > Reported-by: Matthew Wilcox <[email-masked]>
> > > Cc: Du Cheng <[email-masked]>
> > > Signed-off-by: Greg Kroah-Hartman <[email-masked]>
> > > ---
> > 
> > Greg,
> > 
> > Why don't you simply delete it like other code that is not maintained?
> 
> "normally" we have been giving code a chance by having it live in
> drivers/staging/ for a bit before removing it to allow anyone that
> actually cares about the codebase to notice it before removing it.

I don't know about netdev view on this, but for the RDMA code, the code
in staging means _not_exist_. We took this decision after/during Lustre
fiasco. 

Thanks